#include <stdio.h>
#include <iostream>
using namespace std;
int main()
{
	int T,N[3],M[3];
	cin>>T;
	for(int i=0;i<T;i++){
		cin>>N[i];
		cin>>M[i];
	}
	for(int i=0;i<T;i++){
		if (N[i]!=M[i])
		cout<<-1;
		else{
			for(int x=0;x<N[i];x++){
				for(int y=0;y<M[i];y++){
					if(x+y>=M[i]-1)
					cout<<1<<" ";
					else
					cout<<0<<" ";	
				}
				cout<<endl;
			}
		}
	}
}